1. Opportunities
Qonvera
  • Qonvera Public API
    • Contacts
      • List contacts
      • Create a contact
      • Get a contact
      • Update safe contact fields
    • Accounts
      • List accounts
      • Create an account
      • Get an account
      • Update safe account fields
    • Opportunities
      • List opportunities
        GET
      • Atomically create an opportunity
        POST
      • Get an opportunity
        GET
      • Update safe opportunity fields
        PATCH
    • Follow-ups
      • List follow-ups
      • Create an open follow-up
      • Get a follow-up
      • Update safe follow-up fields
    • Catalogue
      • List services
      • List pipelines
    • Receive a Qonvera CRM event
    • Schemas
      • Uuid
      • NullableUuid
      • NullableString
      • NullableEmail
      • NullableDate
      • NullableDateTime
      • Currency
      • TimestampFields
      • Contact
      • ContactPatch
      • ContactCreate
      • Account
      • AccountPatch
      • AccountCreate
      • ForecastCategory
      • Opportunity
      • OpportunityPatch
      • OpportunityServiceItem
      • OpportunityCreate
      • OpportunityCreateResultData
      • FollowupStatus
      • Followup
      • FollowupPatch
      • FollowupCreate
      • Service
      • Pipeline
      • ErrorDetail
      • ErrorEnvelope
      • ContactEnvelope
      • AccountEnvelope
      • OpportunityEnvelope
      • OpportunityCreateEnvelope
      • FollowupEnvelope
      • ContactListEnvelope
      • AccountListEnvelope
      • OpportunityListEnvelope
      • FollowupListEnvelope
      • ServiceListEnvelope
      • PipelineListEnvelope
      • WebhookEventType
      • WebhookEvent
      • ContactWebhookData
      • AccountWebhookData
      • OpportunityWebhookData
      • FollowupWebhookData
      • TestWebhookData
  1. Opportunities

Update safe opportunity fields

PATCH
/public/v1/opportunities/{id}
Does not expose stage or lifecycle status changes, which require Qonvera's audited lifecycle commands.

Request

Authorization
Bearer Token
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
or
Path Params

Header Params

Body Params application/jsonRequired

Examples

Responses

🟢200OpportunityItem
application/json
Opportunity response.
Bodyapplication/json

🟠400ValidationFailed
🟠401Unauthorized
🟠403Forbidden
🟠404NotFound
🟠409IdempotencyConflict
🔴500OperationFailed
🔴503Unavailable
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request PATCH 'https://qonvera-521534438700.europe-west1.run.app/public/v1/opportunities/' \
--header 'Idempotency-Key: 01K39V4M4A0Q8C8X78QX6P7C2P' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
    "owner_user_id": "65139110-7c3c-4777-b692-80c218be3b9d",
    "expected_close_date": "2019-08-24",
    "forecast_category": "pipeline",
    "note": "string"
}'
Response Response Example
200 - Example 1
{
    "data": {
        "created_at": "2019-08-24T14:15:22.123Z",
        "updated_at": "2019-08-24T14:15:22.123Z",
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
        "account_id": "449e7a5c-69d3-4b8a-aaaf-5c9b713ebc65",
        "contact_id": "f245e2a3-e141-4d41-912c-b1c1f5bd5598",
        "pipeline_id": "ec036e81-7903-4e4d-bbfa-ac8516341cf0",
        "pipeline_stage_id": "16ac276d-82f6-4f2a-bbab-e2e260c45fe4",
        "stage": "string",
        "amount": 0,
        "currency": "AED",
        "owner_user_id": "65139110-7c3c-4777-b692-80c218be3b9d",
        "expected_close_date": "2019-08-24",
        "forecast_category": "pipeline"
    }
}
Modified at 2026-08-21 05:35:15
Previous
Get an opportunity
Next
List follow-ups
Built with